summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorDan Mueth <dan@eazel.com>2001-03-12 10:21:13 +0000
committerDan Mueth <dmueth@src.gnome.org>2001-03-12 10:21:13 +0000
commita4a220db312e99dc0f42faf733618fd607089a32 (patch)
treef0b47318932ef8c58e910820e744500498784732 /autogen.sh
parent72d8e0ab83d16e5dedd323354fa37d9f52ca1b1e (diff)
downloadgnome-user-docs-a4a220db312e99dc0f42faf733618fd607089a32.tar.gz
gnome-user-docs-a4a220db312e99dc0f42faf733618fd607089a32.tar.xz
gnome-user-docs-a4a220db312e99dc0f42faf733618fd607089a32.zip
Update build stuff to include glossary and unix primer.
2001-03-12 Dan Mueth <dan@eazel.com> Update build stuff to include glossary and unix primer. * Makefile.am: * autogen.sh: * configure.in: * glossary/C/Makefile.am: * glossary/Makefile.am: * gnome-user-docs.spec.in: * unix-primer/C/Makefile.am: * unix-primer/Makefile.am: Fixed a missing tag: * introduction-to-gnome/C/introduction-to-gnome.sgml:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh81
1 files changed, 75 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index ec1d624..5e32c53 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,12 +4,81 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME="General GNOME User Documentation"
+ORIGDIR=`pwd`
+cd $srcdir
-(test -f $srcdir/introduction-to-gnome/C/introduction-to-gnome.sgml) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level gnome directory"
- exit 1
+PROJECT=gdp-example1
+TEST_TYPE=-f
+FILE=Makefile.am
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile $PROJECT."
+ echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROJECT."
+ echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
}
-. $srcdir/macros/autogen.sh
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
+}
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+case $CC in
+*lcc | *lcc\ *) am_opt=--include-deps;;
+esac
+
+#echo "Running gettextize... Ignore non-fatal messages."
+# Hmm, we specify --force here, since otherwise things don't
+# get added reliably, but we don't want to overwrite intl
+# while making dist.
+#echo "no" | gettextize --copy --force
+
+echo "Running libtoolize"
+libtoolize --copy --force
+
+aclocal $ACLOCAL_FLAGS
+
+# optionally feature autoheader
+(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+
+automake -a $am_opt
+autoconf
+
+cd $ORIGDIR
+
+if [ "`whoami`" = "sopwith" ]; then
+ SOPWITH_FLAGS_HACK="--enable-fatal-warnings=no --enable-more-warnings=no"
+fi
+
+$srcdir/configure --enable-maintainer-mode "$@" $SOPWITH_FLAGS_HACK
+
+echo
+echo "Now type 'make' to compile $PROJECT."